# ApplicationLoadBalancerForwardingRuleProperties

## Properties

| Name                   | Type                                                                                                 | Description                                                                                                                                                                                                                                                                                | Notes                               |
| ---------------------- | ---------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------- |
| **clientTimeout**      | **number**                                                                                           | The maximum time in milliseconds to wait for the client to acknowledge or send data; default is 50,000 (50 seconds).                                                                                                                                                                       | \[optional] \[default to undefined] |
| **httpRules**          | [**Array\<ApplicationLoadBalancerHttpRule>**](/nodejs-sdk/models/applicationloadbalancerhttprule.md) | An array of items in the collection. The original order of rules is preserved during processing, except that rules of the 'FORWARD' type are processed after the rules with other defined actions. The relative order of the 'FORWARD' type rules is also preserved during the processing. | \[optional] \[default to undefined] |
| **listenerIp**         | **string**                                                                                           | The listening (inbound) IP.                                                                                                                                                                                                                                                                | \[default to undefined]             |
| **listenerPort**       | **number**                                                                                           | The listening (inbound) port number; the valid range is 1 to 65535.                                                                                                                                                                                                                        | \[default to undefined]             |
| **name**               | **string**                                                                                           | The name of the Application Load Balancer forwarding rule.                                                                                                                                                                                                                                 | \[default to undefined]             |
| **protocol**           | **string**                                                                                           | The balancing protocol.                                                                                                                                                                                                                                                                    | \[default to undefined]             |
| **serverCertificates** | **Array\<string>**                                                                                   | Array of items in the collection.                                                                                                                                                                                                                                                          | \[optional] \[default to undefined] |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/nodejs-sdk/models/applicationloadbalancerforwardingruleproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
